Bug 208902 - Crash using software GL (nv)
Crash using software GL (nv)
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-02 11:43 EDT by Bill Nottingham
Modified: 2014-03-16 23:02 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-18 17:19:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2006-10-02 11:43:08 EDT
Description of problem:

Some software GL op crashes the X server. Using the nv driver.

Version-Release number of selected component (if applicable):

xorg-x11-server-Xorg-1.1.1-43.fc6
mesa-libGL-6.5.1-7.fc6
xorg-x11-drv-nv-1.2.0-4.fc6

How reproducible:

Every time.

Steps to Reproduce:
1. Start up X on nv card. (nVidia Corporation NV34GL [Quadro FX 500/600 PCI]
(rev a1))
2. Install xscreensaver-gl-extras
3. Run /usr/libexec/xscreensaver/glblur
4. Wince in pain
5. Drag it around, resize it, etc.
  
Actual results:


Program received signal SIGSEGV, Segmentation fault.
0x00002aaab726847f in _swrast_depth_test_span (ctx=0x17a5790, span=0x7fffcb886b10)
    at s_depth.c:577
577                       if (z[i] < *zptr) {
#0  0x00002aaab726847f in _swrast_depth_test_span (ctx=0x17a5790,
span=0x7fffcb886b10)
    at s_depth.c:577
#1  0x00002aaab726572e in _swrast_write_rgba_span (ctx=0x17a5790,
span=0x7fffcb886b10)
    at s_span.c:1245
#2  0x00002aaab7295269 in draw_wide_line (ctx=0x17a5790, span=0x7fffcb886b10, 
    xMajor=<value optimized out>) at s_lines.c:91
#3  0x00002aaab72963e1 in general_rgba_line (ctx=0x17a5790, vert0=<value
optimized out>, 
    vert1=0x89a4) at s_linetemp.h:430
#4  0x00002aaab72c4935 in clip_render_lines_verts (ctx=0x17a5790, start=0, count=8, 
    flags=<value optimized out>) at t_vb_rendertmp.h:85
#5  0x00002aaab72c889a in run_render (ctx=0x17a5790, stage=<value optimized out>)
    at t_vb_render.c:320
#6  0x00002aaab72e4b4b in _tnl_run_pipeline (ctx=0x17a5790) at t_pipeline.c:159
#7  0x00002aaab72c9134 in _tnl_playback_vertex_list (ctx=0x17a5790, 
    data=<value optimized out>) at t_save_playback.c:209
#8  0x00002aaab71f8107 in execute_list (ctx=0x17a5790, list=<value optimized out>)
    at dlist.c:5783
#9  0x00002aaab71f8362 in execute_list (ctx=0x17a5790, list=<value optimized out>)
    at dlist.c:5826
#10 0x00002aaab71fab17 in _mesa_CallList (list=6) at dlist.c:6875
#11 0x00002aaaabfac8a7 in __glXRender (cl=<value optimized out>, pc=<value
optimized out>)
    at glxcmds.c:1739
#12 0x00002aaaabfb10c8 in __glXDispatch (client=<value optimized out>) at
glxext.c:522
#13 0x0000000000449c9a in Dispatch () at dispatch.c:459
#14 0x00000000004325d5 in main (argc=9, argv=0x7fffcb888238, envp=<value
optimized out>)
    at main.c:447
Comment 1 Matěj Cepl 2007-09-11 20:34:27 EDT
Since this bugzilla report was filed, there have been several major updates,
which may have resolved this issue. Users who have experienced this problem are
encouraged to upgrade their system to the latest version of their distribution
available.

Please, if you experience this problem on the up-to-date system, let us now in
the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as
INSUFFICIENT_DATA. Thank you.
Comment 2 Bill Nottingham 2007-09-18 17:19:00 EDT
Seems fixed in devel.

Note You need to log in before you can comment on or make changes to this bug.